import React from 'react';
import { LookAndFeelInterface } from '@sb/wizards/look-and-feel/data/look-and-feel-screen-data';
export interface LookAndFeelProviderContextInterface {
    lookAndFeelState: LookAndFeelInterface;
    templates: any;
    setTemplateValue: (val: {
        slug: string;
        url: string;
        name: string;
    }) => void;
    setFontValue: (font: string) => void;
    setColorValue: (color: string) => void;
    handleUpdateIframe: () => void;
    setIsImporting: (status: boolean) => void;
    setImportingError: () => void;
    setImportDone: () => void;
    ajaxDelete: () => void;
    handleSave: () => void;
    setShowDeleteWarning: (status: boolean) => void;
    setDeleteValue: (val: string) => void;
    handleImport: (val: string) => void;
    ajaxTemplateData: () => void;
}
export declare const LookAndFeelContext: React.Context<LookAndFeelProviderContextInterface | null>;
declare const LookAndFeelProvider: ({ children }: {
    children: React.ReactNode;
}) => JSX.Element;
export default LookAndFeelProvider;
//# sourceMappingURL=LookAndFeelProvider.d.ts.map